:root
{
    /*
    --vp-color: #0d1117;
    --fg-color: #010409;
    --border-color: #30363db3;
    --common-txt-color: white;
    /* Color pallette: */
    /*--color-a: #30363D;
    --color-b: #90AECF;
    --color-c: #6B7888;
    --color-d: #482E39;
    --color-e: #795C67;
    */
    --color-a: #202328;
    --color-b: #6AEBB7;
    --color-c: #25B382;
    --color-d: #007D50;
    --color-e: #378980;
    --vp-color: var(--color-c);
    --fg-color: var(--color-a);
    --border-color: var(--color-e);
    --common-txt-color: var(--color-b);
}
*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:monospace;
    color: var(--common-txt-color);
    scrollbar-color: var(--color-b) var(--color-a);
    transition: all 300ms;
}
header
{
    position:sticky;
    width: 100vw;
    background-color: var(--fg-color);
    padding:1rem 0;
}
header > *
{
    display: inline-block;
}
input, select, option
{
    background-color: var(--fg-color);
    border: 1px solid var(--border-color);
    border-radius: 3px;
    padding: 3px;
}
input:hover, select:hover, option:hover
{
    border: 1px solid var(--color-b);
}
button
{
    background-color: var(--color-e);
    border: 1px solid var(--color-d);
    color:var(--color-a);
    padding: 1px;
    border-radius:4px;
}
.flex-row button
{
    height: 100%;
}
button:hover
{
    background-color: var(--color-d);
    cursor: pointer;
    transform:translate(1px,1px);
}
button:disabled
{
    background-color: var(--color-d);
    color: var(--color-b);
}
body
{
    /* display:flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; */
    background-color: var(--vp-color);
    width: 100vw;
}
.flex-row
{
    display: flex;
    flex-direction:row;
    justify-content:space-between;
    align-items: center;
}
.space-around
{
    justify-content: space-around;
}

input
{
    padding: 3px;
}
input:invalid, select:invalid
{
    border-color: red;
}
span.search button
{
    padding: 3px;
}
a
{
    display: inline-block;
    width: fit-content;
    color: var(--color-d);
}
a:hover
{
    color: var(--color-c);
}
